<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Basic Vector Functions</TITLE>
<link href="suifmath_25.html" rel=Next>
<link href="suifmath_23.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_23.html">previous</A>, <A HREF="suifmath_25.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC28" HREF="suifmath_toc.html#TOC28">Basic Vector Functions</A></H3>

<P>
<A NAME="IDX453"></A>
A <CODE>fract_vector</CODE> object can be constructed from an
<CODE>integer_row</CODE> (see section <A HREF="suifmath_7.html#SEC7">Row Manipulation</A>) or another
<CODE>fract_vector</CODE>.  A constructor is also available that takes the
number of elements and creates an empty <CODE>fract_vector</CODE> (the
elements are initialized to 0).

</P>
<P>
<A NAME="IDX454"></A>
<A NAME="IDX455"></A>
<A NAME="IDX456"></A>
<A NAME="IDX457"></A>
<A NAME="IDX458"></A>
<A NAME="IDX459"></A>
<A NAME="IDX460"></A>
The <CODE>n</CODE> method returns the number of elements in the vector.  The
<CODE>elt</CODE> method and <CODE>[]</CODE> operator take an element number as an
argument and return a reference to the fraction at that position in the
vector.  The <CODE>is_zero</CODE> method returns <CODE>TRUE</CODE> if all elements
of the vector are 0.  Also, equality, inequality and assignment
operators are available.

</P>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_23.html">previous</A>, <A HREF="suifmath_25.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
